Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class DirectoryListSet

    java.lang.Object
      org.gjt.sp.jedit.search.BufferListSet
          org.gjt.sp.jedit.search.DirectoryListSet

All Implemented Interfaces:
  SearchFileSet

public class DirectoryListSet
extends BufferListSet

Recursive directory search.

Version:
  $Id: DirectoryListSet.java,v 1.6 2003/03/22 22:52:09 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`DirectoryListSet(java.lang.String directory, java.lang.String glob, boolean recurse)`

Method Summary
`protected java.lang.String[]` | `_getFiles(java.awt.Component comp)` Note that the paths in the returned list must be fully canonicalized.
`java.lang.String` | `getCode()` Returns the BeanShell code that will recreate this file set.
`java.lang.String` | `getDirectory()`
`java.lang.String` | `getFileFilter()`
`boolean` | `isRecursive()`
`void` | `setDirectory(java.lang.String directory)`
`void` | `setFileFilter(java.lang.String glob)`
`void` | `setRecursive(boolean recurse)`

Methods inherited from class org.gjt.sp.jedit.search.BufferListSet
`getFileCount, getFiles, getFirstFile, getNextFile, invalidateCachedList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryListSet

    public DirectoryListSet(java.lang.String directory,
                            java.lang.String glob,
                            boolean recurse)

Method Detail

### getDirectory

    public java.lang.String getDirectory()

### setDirectory

    public void setDirectory(java.lang.String directory)

  Since:
    jEdit 4.2pre1

### getFileFilter

    public java.lang.String getFileFilter()

### setFileFilter

    public void setFileFilter(java.lang.String glob)

  Since:
    jEdit 4.2pre1

### isRecursive

    public boolean isRecursive()

### setRecursive

    public void setRecursive(boolean recurse)

  Since:
    jEdit 4.2pre1

### getCode

    public java.lang.String getCode()

  Description copied from interface: `SearchFileSet`
  Returns the BeanShell code that will recreate this file set.

  Specified by:
    `getCode` in interface `SearchFileSet`
  Overrides:
    `getCode` in class `BufferListSet`

### _getFiles

    protected java.lang.String[] _getFiles(java.awt.Component comp)

  Description copied from class: `BufferListSet`
  Note that the paths in the returned list must be fully canonicalized.

  Specified by:
    `_getFiles` in class `BufferListSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD